[解決済み] SSL導入時のセキュリティの警告及びエラーについて

ホーム フォーラム 使い方全般 [解決済み] SSL導入時のセキュリティの警告及びエラーについて

このトピックには13件の返信が含まれ、3人の参加者がいます。6 年、 1 ヶ月前 nanbu さんが最後の更新を行いました。

14件の投稿を表示中 - 1 - 14件目 (全14件中)
  • 投稿者
    投稿
  • #50275

    taka
    参加者

    トピックステータス:未解決

    トピックタイトル:SSL導入時のセキュリティの警告及びエラーについて

    Welcart のバージョン:WordPress 3.0.1

    症状を確認したブラウザ:Internet Explorer 8

    サーバー(会社名、サービス名):OCN メール&ウェブ2ライト

    SSLの利用: 専用SSL

    WordPress のパーリンク設定:/%category%/%post_id%.html

    はじめまして、お世話になっております。

    私、初心者なのでお手柔らかにお願いいたします。

    SSL導入時についてお伺いしたいことがあります。

    現在、welcartを使用してサイトを構築させていただいております。

    welcartのシステム設定の以下のSSLの項目を設定致しました。

    ・Use SSLをチェック

    ・WordPress のアドレス (SSL)→https://www.example.co.jp/wordpress

    ・ブログのアドレス (SSL) →https://www.example.co.jp

    ・お問合せフォームのページID→お問い合わせフォームのページIDを入力

    上記の設定を行い、商品のカートへ入れるボタンをクリックするとhttpsになりますが

    セキュリティの警告ダイアログが表示されてしまいます。

    又、現在使用中のプラグインもすべて止めて確認しましたが同じようにセキュリティの

    警告ダイアログが表示されてしまいます。

    後、welcartの開発フォーラムに記載されている「SSL でエラーを出さないおまじない(強化版)」

    も記述していますが、何も変化がありませんでした。

    お問い合わせフォームも同様にセキュリティの警告ダイアログが表示されます。

    ちなみに、head.phpおよびfooter.phpに記述されているwp_head(),wp_footer()をコメント

    するとセキュリティの警告ダイアログが表示されなくなりました。

    あと、商品カートへ入れるボタンをクリックすると上記に記述したようにセキュリティの

    警告ダイアログが表示されますが、そのあとに以下のエラーが表示されます。


    Web ページ エラーの詳細

    ユーザー エージェント: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64;

    Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729;

    Media Center PC 6.0; .NET4.0C)

    メッセージ: ‘jQuery’ は宣言されていません。

    ライン: 348

    文字: 3

    コード: 0


    この警告とエラーはInternet Explorerのみでしか表示されません。

    (Firefoxでは警告、エラーは表示されません。)

    色々、原因を探してみましたがわかっておりません。

    上記の警告及びエラー原因の可能性等がございましたらご教授願います。

    何卒よろしくお願いいたします。

    #61540

    nanbu
    参加者

    こんにちは。

    wp_head(),wp_footer() は必要です。コメントアウトしてはいけません。

    セキュリティの警告が止まらないのはプラグインだけではなくテーマも原因になる場合があります。

    環境ごとに状況が違いますので、自分でソースをじっくり眺めて対処するしかありません。どうしても解決できない場合は有償調査をお申し込みください。

    こちらもご参照ください。

    https://www.welcart.com/forum/topic.php?id=568

    #61541

    taka
    参加者

    ご返事ありがとうございます。

    自分でじっくりソースを眺めて解決したいと思います。

    ちなみに、テーマはwelcartのデフォルトのテーマを使用しています。

    大変、お忙しいところありがとうございました。

    #61542

    furuhonya
    参加者

    初めまして

    takaさんと似たような環境と症状でしたのでこちらに投稿させていただきました。

    やはりssl警告が消えません。

    ソースを見ましてもsrcやcss等のurlはすべてhttpsになっているようですので、どうしても原因が特定できません。

    導入中のプラグインはWelcart以外で3つでひとつずつ停止させて試しましたがやはり警告が出ます。

    テーマを画像やスタイルシート無のものに変えてもやはりだめでした。

    警告はクロームとIEで確認しました。sslは専用です。ルートのtest.htmlは問題なく読み込みました。ヴァージョンは1.1.5及び3.3.2です。

    こちらで適当にカートをご利用していただいてその上で原因分かりましたらご教授いただけると幸いです。

    お忙しいところすいません。

    #61543

    nanbu
    参加者

    スタイルシートにhttp://から始まるURIの記載がないでしょうか。

    #61544

    furuhonya
    参加者

    ご返事ありがとうございます。

    チェックしてみましたが見当たりませんでした。このテーマですとstyle.cssとstyle-default.cssとがありましたがどちらもございませんでした。

    Welcartの使用と信用とを最優先にしたいですのでこの警告が出ない方法でしたらレイアウトや他機能は変更しても構わないのですが、少々困っております。

    原因究明と、それとは別にとにかく警告が出ない方法、とどちらでもかまいませんがご示唆いただけると幸いです。

    あと、国際便機能について改良中と拝見しましたがとても期待しています。

    #61545

    nanbu
    参加者

    ソースを見る限り問題はなさそうです。ただ、ソースはhttpsとなっているにも拘らず、実際はhttpからリソースを取得しようとしているようです。このような動作は見たことが無いのですが、ご利用のサーバーはどちらの物でしょうか。また、もしかしたらキャッシュを行うものをご利用でしょうか。

    #61546

    furuhonya
    参加者

    サーバー(会社名、サービス名):OCN メール&ウェブ2ライト

    こちらとなります。

    phpファイルを見直す必要がある場合、例えばこんな記述が怪しい、的でかまいませんので、ご示唆いただけますと助かります。自分phpの知識はございません。

    お手数おかけします。

    #61547

    furuhonya
    参加者

    たびたび失礼致します。

    上でtakaさんも指摘しておられましたが

    Web ページ エラーの詳細

    ユーザー エージェント: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64;

    Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729;

    Media Center PC 6.0; .NET4.0C)

    メッセージ: ‘jQuery’ は宣言されていません。

    ライン: 348

    文字: 3

    コード: 0

    このエラーが、警告でOKを押すと出ます。その上で買い物を続けるボタンが機能しなくなります。

    とんちんかんなこと言ってましたらすいません。

    どうしても成功させたいものですので、よろしくお願いいたします。

    ちなみにtakaさんはどう解決されたのでしょうか、解決済みとなっておりますもので。

    #61548

    nanbu
    参加者

    テーマは何を使ってらっしゃいますか?

    他のプラグインはすべて停止して動作テストされていますでしょうか。

    「Web ページ エラー」とのことですがどのページですか?

    管理パネルの「Welcart-ホーム」にご利用の環境という表示があります。PHPの情報をコピペして見せていただけますか?

    #61549

    furuhonya
    参加者

    ご返事ありがとうございます。

    サーバー Apache/1.3.42 (Unix) mod_auth_tkt/2.1.0 FrontPage/5.0.2.2635 mod_ssl/2.8.31 OpenSSL/0.9.8r

    MySQL 5.1.50

    PHP 5.2.17 memoly[global]:128M [locale]:256M [usage]:27M

    以上が環境です。

    エラーは警告表示の、保護されたコンテンツのみ・・・ではいを押しますとIEでは左下に黄色警告マークが出ますが、そちらで出ます。いいえ、ですと何も問題はないようです。

    お手数おかけします。

    #61550

    nanbu
    参加者

    ありがとうございます。

    特に問題はなさそうですね。こうなるとお手上げです。

    サーバーは「OCN メール&ウェブ2ライト」ですよね。もしよかったら調査してみますので「Welcartレスキュー」ご連絡いただけますでしょうか。

    #61551

    furuhonya
    参加者

    ご返事ありがとうございます。

    トータルで自分の要望にWelcartさんが一番適していたのでなんとか成功したかったのですが、ただ海外のカートプラグインユーザーの皆様は、カートシステムに何でsslが必要なの?ぐらいなノリのようで、確かにクレカ情報入力にはsslは必須ですが、PayPal等利用ならカード情報入力段階ですでにPayPalなりがsslは実装しておりますので、正直ssl無でもいいかなと今は考えております。

    ですのでWelcartさんの国際便機能の充実と、多言語化(はまだためしていませんが)をとて期待しております。

    長々と本当に失礼致しました。

    #61552

    nanbu
    参加者

    そうですか。変わった症状だったので一度見てみたかったのですが。

14件の投稿を表示中 - 1 - 14件目 (全14件中)

このトピックに返信するにはログインが必要です。